Package com.github.lgooddatepicker.components

## Enum TimePickerSettings.TimeIncrement

- java.lang.Object
- - java.lang.Enum<TimePickerSettings.TimeIncrement>
  - - com.github.lgooddatepicker.components.TimePickerSettings.TimeIncrement

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<TimePickerSettings.TimeIncrement>`

Enclosing class:
  TimePickerSettings

    public static enum TimePickerSettings.TimeIncrement
    extends java.lang.Enum<TimePickerSettings.TimeIncrement>

TimeIncrement, This is a list of increments that can be used with the generateMenuTimes() function.

### Enum Constant Summary

Enum Constants
`FifteenMinutes`
`FiveMinutes`
`OneHour`
`TenMinutes`
`ThirtyMinutes`
`TwentyMinutes`

### Field Summary

Fields
`int` `minutes` minutes, This holds the number of minutes represented by the time increment.

### Method Summary

All Methods Static Methods Concrete Methods
`static TimePickerSettings.TimeIncrement` `valueOf​(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static TimePickerSettings.TimeIncrement[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### FiveMinutes

    public static final TimePickerSettings.TimeIncrement FiveMinutes

#### TenMinutes

    public static final TimePickerSettings.TimeIncrement TenMinutes

#### FifteenMinutes

    public static final TimePickerSettings.TimeIncrement FifteenMinutes

#### TwentyMinutes

    public static final TimePickerSettings.TimeIncrement TwentyMinutes

#### ThirtyMinutes

    public static final TimePickerSettings.TimeIncrement ThirtyMinutes

#### OneHour

    public static final TimePickerSettings.TimeIncrement OneHour

### Field Detail

#### minutes

    public final int minutes

minutes, This holds the number of minutes represented by the time increment.

### Method Detail

#### values

    public static TimePickerSettings.TimeIncrement[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (TimePickerSettings.TimeIncrement c : TimePickerSettings.TimeIncrement.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static TimePickerSettings.TimeIncrement valueOf​(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null